#include <iostream>
using namespace std;

int main ()
{
    int n, a, flag, chislo;
    cin >> n;
    for (int i = 1; i <= n; i++)
    {
        cin >> chislo;
        flag = 0;
        for (int j = 1; j < chislo; j++)
        {
            for (int u = 1; u < j; u++)
            {
                if ((j / u == u) && (j % u == 0))
                {
                    a = chislo - j;
                    for (int b = 1; b < a; b++)
                    {
                        if ((a / b == b) && (a % b == 0))
                        {
                            flag = 1;
                        }
                    }
                }
            }
        }
        if (flag == 1)
        {
            cout << '1';
        }
        else
        {
            cout << '0';
        }
    }
    cout << endl;
    return 0;
}
